{
    "condition": "entity_properties",
    "entity": "this",
    "predicate": {
        "equipment": {
            "mainhand":{
                "predicates": {
                        "custom_data": "{blade2:2b}"
                }
            }
        }
    }
}